/*
* Copyright (C) 2021, KylinSoft Co., Ltd.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 3, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, see <http://www.gnu.org/licenses/&gt;.
*
*/

#include "imageoperationrotate.h"
#include "../include/common.h"

ImageOperationRotate::ImageOperationRotate(QImage *origin, QStack<QImage> *stackImage)
{
    m_origin = origin;
    m_stackImage = stackImage;
}
void ImageOperationRotate::ImageOP(){
    QImage opImage = imageCopy(m_origin,m_stackImage);
    QMatrix matrix;
    matrix.rotate(270);
    opImage = opImage.transformed(matrix);
    opImage.save(ScanningPicture);
    emit finished();
}
